#include "smgbalib.h"

// this is generated with pcx2gba.exe from a indexed colour pcx image
#include "bitmaps\wallpaper.h"
#include "bitmaps\soldier.h"

int main() {

	// get ready for some displayin'
	Initialize();
	
	// this palette is conveniently created by pcx2gba.exe, along with the actual image data
	SetPalette( (u16*)soldierPalette );
	
	// current video frame counter (increments every time the screen refreshes)
	u16 currentFrame = 0;

	u16 spriteCoordX = 0;

	// main loop - should never exit it
	while(1) {
		currentFrame++;

		// draw wallpaper!
		DrawFullScreenOpaque( (u16*)wallpaperData );

		//EraseScreenNoPaletteNoFlip();

		spriteCoordX = (currentFrame % 12) * 48;

		DrawBitmapSectorTransparent( (currentFrame % 80) + 10, 118, // where on screen are we drawing this?
									 soldier_HEIGHT, soldier_WIDTH, // total height and width of strip
									 spriteCoordX, 0, // starting from 0, 24, 48, 72 left, and 0 top 
									 41, 48, // we display 24x24 rectangle frames
									 (u16*)soldierData);
		

		// flip buffers, bringing the back one (on which we've been drawring) to the screen
		Flip();
	}
	
	return 0;
}


